<?php

namespace Drupal\preview_graphql_jwt\EventSubscriber;

use Drupal\preview_graphql\Event\CarrierCallbackOptionEvent;
use Drupal\preview_graphql\Event\ContextResolverCacheEvent;
use Symfony\Component\EventDispatcher\EventSubscriberInterface;

/**
 * Class CarrierCallbackOptionSubscriber.
 *
 * @package Drupal\preview_graphql_jwt\EventSubscriber
 */
class ContextResolverCacheSubscriber implements EventSubscriberInterface {

  /**
   * {@inheritdoc}
   */
  public static function getSubscribedEvents() {
    $events[ContextResolverCacheEvent::EVENT_NAME] = 'alterContext';
    return $events;
  }

  /**
   * @param \Drupal\preview_graphql\Event\CarrierCallbackOptionEvent $event
   */
  public function alterContext(ContextResolverCacheEvent $event) {
    $event->getContext()->addCacheContexts(['headers:Authorization']);
  }

}