<?php

namespace Drupal\preview_graphql_jwt\EventSubscriber;

use Drupal\preview_graphql\Event\GenerateKeyEvent;
use Drupal\preview_graphql_jwt\Services\PreviewGraphQlJwtManager;
use Symfony\Component\EventDispatcher\EventSubscriberInterface;

/**
 * Class TermPageAccessSubscriber.
 *
 * @package Drupal\term_page_access
 */
class GenerateKeySubscriber implements EventSubscriberInterface {

  protected $previewGraphQlJwtManager;

  public function __construct(PreviewGraphQlJwtManager $preview_graphql_jwt_manager) {
    $this->previewGraphQlJwtManager = $preview_graphql_jwt_manager;
  }

  /**
   * {@inheritdoc}
   */
  public static function getSubscribedEvents() {
    $events[GenerateKeyEvent::EVENT_NAME] = 'generateKey';
    return $events;
  }

  /**
   * @param \Drupal\preview_graphql\Event\GenerateKeyEvent $event
   */
  public function generateKey(GenerateKeyEvent $event) {

    if ($event->carrierCallback == 'jwt' && !empty($event->cid)) {
      $value = $this->previewGraphQlJwtManager->generateJwt($event->cid);
      if (!empty($value)) {
        $event->setValueKey($value);
      }
    }
  }

}