<?php

namespace Drupal\preview_graphql_jwt\EventSubscriber;

use Drupal\preview_graphql\Event\GetCidEvent;
use Drupal\preview_graphql_jwt\Services\PreviewGraphQlJwtManager;
use Symfony\Component\EventDispatcher\EventSubscriberInterface;

/**
 * Class TermPageAccessSubscriber.
 *
 * @package Drupal\term_page_access
 */
class GetCidSubscriber implements EventSubscriberInterface {

  protected $previewGraphQlJwtManager;

  public function __construct(PreviewGraphQlJwtManager $preview_graphql_jwt_manager) {
    $this->previewGraphQlJwtManager = $preview_graphql_jwt_manager;
  }

  /**
   * {@inheritdoc}
   */
  public static function getSubscribedEvents() {
    $events[GetCidEvent::EVENT_NAME] = 'getCid';
    return $events;
  }

  /**
   * @param \Drupal\preview_graphql\Event\GetCidEvent $event
   */
  public function getCid(GetCidEvent $event) {

    if ($event->carrierCallback == 'jwt') {
      $cid = $this->previewGraphQlJwtManager->getCidByJwt();
      if (!empty($cid)) {
        $event->setCid($cid);
      }
    }
  }

}