<?php

namespace Drupal\preview_graphql\Event;

use Symfony\Component\EventDispatcher\Event;

/**
 * Event that is fired when an entity is updated.
 *
 * @see rules_user_login()
 */
class CarrierCallbackOptionEvent extends Event {

  const EVENT_NAME = 'preview_graphql.carrier_callback_option';

  protected $options = [];

  public function __construct(array $options = []) {
    $this->options = $options;
  }

  public function setOptions(array $options) {
    $this->options = $options;
  }

  public function addOption(array $option) {
    $this->options = array_merge($this->options, $option);
  }

  public function setOption($key_option, $value_option) {
    $this->options[$key_option] = $value_option;
  }

  public function getOptions() {
    return $this->options;
  }
}
