<?php

namespace Drupal\preview_graphql\Event;

use Drupal\graphql\GraphQL\Execution\ResolveContext;

/**
 * Event that is fired when an entity is updated.
 *
 * @see rules_user_login()
 */
class ContextResolverCacheEvent extends PreviewGraphQlEventBase {

  const EVENT_NAME = 'preview_graphql.context_resolver_cache';


  protected $context;

  public function __construct($carrier_callback, ResolveContext $context) {
    parent::__construct($carrier_callback);
    $this->context = $context;
  }

  public function setContext($context) {
    $this->context = $context;
  }

  public function getContext() {
    return $this->context;
  }
}
