<?php

namespace Drupal\preview_graphql\Event;

/**
 * Event that is fired when an entity is updated.
 *
 * @see rules_user_login()
 */
class GenerateKeyEvent extends PreviewGraphQlEventBase {

  const EVENT_NAME = 'preview_graphql.generate_key';

  /**
   * @var string
   */
  public $cid;

  protected $value_key;

  public function __construct($carrier_callback, $cid) {
    parent::__construct($carrier_callback);
    $this->carrierCallback = $carrier_callback;
    $this->cid = $cid;
    $this->value_key = $cid;
  }

  public function setValueKey($value) {
    $this->value_key = $value;
  }

  public function getValueKey() {
    return $this->value_key;
  }

}
