<?php

namespace Drupal\preview_graphql\Event;

use Drupal\Core\Routing\TrustedRedirectResponse;

/**
 * Event that is fired when an entity is updated.
 *
 * @see rules_user_login()
 */
class RedirectEvent extends PreviewGraphQlEventBase {

  const EVENT_NAME = 'preview_graphql.redirect';

  public $urlParameterValue;

  protected $response;


  public function __construct($carrier_callback, TrustedRedirectResponse $response, $url_parameter_value) {
    parent::__construct($carrier_callback);
    $this->carrierCallback = $carrier_callback;
    $this->response = $response;
    $this->urlParameterValue = $url_parameter_value;
  }

  public function setResponse(TrustedRedirectResponse $response) {
    $this->response = $response;
  }

  public function getResponse() {
    return $this->response;
  }

}
